Package org.eclipse.cdt.core

## Interface IProblemMarkerFilter

    public interface IProblemMarkerFilter

The purpose of IProblemMarkerFilter is to provide filtering function for problem markers. ProblemMarkerFilter extension point are required to implements this interface.

Since:
  5.6

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `acceptMarker​(ProblemMarkerInfo markerInfo)` Decide if a problem marker should be reported or ignored.

### Method Detail

#### acceptMarker

    boolean acceptMarker​(ProblemMarkerInfo markerInfo)

Decide if a problem marker should be reported or ignored.

Parameters:
  `markerInfo` - description of the problem marker that is going to be reported
Returns:
  true if markers should be reported, false if should be ignored